xscansmap
Prev | Orchestra Opcodes and Operators | Next

## xscansmap

xscansmap — Allows the position and velocity of a node in a scanned process to be read.

## Description

Allows the position and velocity of a node in a scanned process to be read.

## Syntax

    xscansmap kpos, kvel, iscan, kamp, kvamp [, iwhich]

## Initialization

iscan -- which scan process to read

iwhich (optional) -- which node to sense. The default is 0.

## Performance

kpos -- the node's postion.

kvel -- the node's velocity.

kamp -- amount to amplify the kpos value.

kvamp -- amount to amplify the kvel value.

The internal state of a node is read. This includes its position and velocity. They are amplified by the kamp and kvamp values.

## Credits

New in version 4.21

November 2002. Thanks to Rasmus Ekman for pointing this opcode out.

Prev | Up | Next
xscanmap | Home | xscans